View Issue Details

IDProjectCategoryView StatusLast Update
0001893OpenFOAM[All Projects] Bugpublic2015-11-21 10:45
Reporteruser1265Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.10
Product Version 
Fixed in Version 
Summary0001893: Implementation of Antoine equations
DescriptionI reckon that Antoine equation has been implemented wrong in the currently developed version of OpenFOAM. I am not sure if it is still remained in the new-released version.
Antoine equations is defined as follows:
log10p-A-B/(C+T), where from the Tsat at the end of Antoine.C can be obtained. But still I am not sure why Psat is:

dimensionedScalar("one", dimPressure, 1)
       *exp(A_ + B_/(C_ + T));
I suppose it should change to:

dimensionedScalar("one", dimPressure, 1)
       *pow(10,(A_-B_/(C_+T)));

and pSatPrime will be:

-pSat(T)*B_/sqr(C_+T)*log(10);

therefore lnPSat wiil become:

A_-B_/(C_+T)*log(10);

finally Tsat will remain unchanged
TagsNo tags attached.

Activities

DanielJ

2015-11-20 22:27

reporter  

Corrected-saturation-temperature-in-Antoine-equation.patch (1,092 bytes)
From c648f42d9d405d34ad445d4138b2bac074ee66e4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Jasi=C5=84ski?= <daniel.jasinski@gmail.com>
Date: Fri, 20 Nov 2015 23:24:38 +0100
Subject: [PATCH] Corrected saturation temperature in Antoine equation

---
 .../interfacialCompositionModels/saturationModels/Antoine/Antoine.C     | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/applications/solvers/multiphase/reactingEulerFoam/interfacialCompositionModels/saturationModels/Antoine/Antoine.C b/applications/solvers/multiphase/reactingEulerFoam/interfacialCompositionModels/saturationModels/Antoine/Antoine.C
index 0c273ee..90f1c98 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/interfacialCompositionModels/saturationModels/Antoine/Antoine.C
+++ b/applications/solvers/multiphase/reactingEulerFoam/interfacialCompositionModels/saturationModels/Antoine/Antoine.C
@@ -95,7 +95,7 @@ Foam::saturationModels::Antoine::Tsat
     const volScalarField& p
 ) const
 {
-    return B_/(A_ - log10(p)) - C_;
+    return B_/(log(p) - A_) - C_;
 }
 
 
-- 
1.7.11.msysgit.1

DanielJ

2015-11-20 22:29

reporter   ~0005647

Based on the convention described in Antoine.H everything is OK except Tsat. I attached a patch with a correction.

henry

2015-11-21 10:45

manager   ~0005648

@Daniel: Thanks for looking into this and providing a patch
Resolved in OpenFOAM-dev by commit 98fb882f1c3014f7023d11c2edb89b699963baad

Issue History

Date Modified Username Field Change
2015-11-03 20:09 user1265 New Issue
2015-11-20 22:27 DanielJ File Added: Corrected-saturation-temperature-in-Antoine-equation.patch
2015-11-20 22:29 DanielJ Note Added: 0005647
2015-11-21 10:45 henry Note Added: 0005648
2015-11-21 10:45 henry Status new => resolved
2015-11-21 10:45 henry Resolution open => fixed
2015-11-21 10:45 henry Assigned To => henry